Subject: [Lsr] some doubt about RFC 5185 (Multi Area Adjacency)

From: meicong <[email-masked]>
Date: Thu, 24 Sep 2020 06:23:08 +0000

Hi ALL,
About rfc5185  OSPF Multi-Area Adjacency section 2.7 Advertising Multi-Area Adjacencies:

     Link ID = Remote's Router ID

I have the following questions:

1、   I'm not sure whether “Neighbor's IP Address” means “local interface IP address” or “remote interface IP address”.

2、If it is remote interface IP address， why not use local interface IP address,  Any special considerations?

Thanks,

In section 2.7，
Link Data = Neighbor's IP Address

2.7.  Advertising Multi-Area Adjacencies

   Multi-area adjacencies are announced as point-to-point links.  Once

   the router's multi-area adjacency reaches the FULL state, it will be

   added as a link type 1 to the Router Link State Advertisement (LSA)

   with:

      Link ID = Remote's Router ID

      Link Data = Neighbor's IP Address or IfIndex (if the underlying

      interface is unnumbered).

rfc5185  OSPF Multi-Area Adjacency

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 24 Sep 2020 10:17:14 +0000

Hi Meicong,

From: Lsr <[email-masked]> on behalf of meicong <[email-masked]>
Date: Thursday, September 24, 2020 at 2:23 AM
To: "[email-masked]" <[email-masked]>
Cc: Huzhibo <[email-masked]>, "Jiangyu (China)" <[email-masked]>
Subject: [Lsr] some doubt about RFC 5185 (Multi Area Adjacency)

Hi ALL,

1、I'm not sure whether “Neighbor's IP Address” means “local interface IP address” or “remote interface IP address”.

In looking at this again, I believe using the remote interface IP address is unnecessary since the interface area ID can be used to disambiguate the usage for multiple adjacencies.

Thanks,
Acee

Thanks,

In section 2.7，

   with: